QGIS Application - Bug report #19821
Ctri-f (filter tool) doesn't show embedded forms from 1:n relations anymore
2018-09-11 04:05 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: any Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 27645
Description

In QGIS 3.0.x, embedded forms (1:n relations) are displayed when filtering/selecting features with ctrl-f. They have a special mode with
aggregates.

Starting from version 3.2.x and also in master (3.3x) these embedded forms are missing --> as a result one cannot filter using 1:n relations
anymore.

Itis a regression.

See attached screenshot to show the same model, once opened in 3.0x and the other time in QGIS master.

History

#1 - 2018-09-11 04:05 PM - Andreas Neumann

Tested on Linux and Windows. Problem appears on both platforms.

#2 - 2019-03-28 11:55 AM - Andreas Neumann
- Resolution set to worksforme

- Status changed from Open to Closed

Seems to work in 3.4 and 3.6
